import express from 'express';
import passport from 'passport';
import * as file from '@/api/controllers/file.controller';

const router = express.Router();

router.get('/download', file.download);

router.post(
  '/upload/:table/:field',
  passport.authenticate('jwt', { session: false }),
  file.upload,
);

export default router;
